Album: Dance of Thorns
Directory: dance-of-thorns-richaadeb
Always Reference By Directory: true
Style: single
Date: August 16, 2018
Date Added: June 12, 2024
Artists:
- RichaadEB
Cover Artists:
- NotRachelable
Cover Art File Extension: jpg
URLs:
- https://www.youtube.com/playlist?list=OLAK5uy_lopubnMfb1zNsl8RxZZ-VsR7OyQpcgJio
- https://open.spotify.com/album/1tT9vfcVf4QnQGk2c1XAyS
- https://music.apple.com/album/dance-of-thorns-single/1742081460
- https://music.amazon.com/albums/B07RM93LGG
Groups:
- Fandom
Color: '#F3301C'
---
Track: Dance of Thorns
Directory: dance-of-thorns-richaadeb
Always Reference By Directory: true
Additional Names:
- Name: >-
    Homestuck - Dance of Thorns || Metal Cover by RichaadEB
  Annotation: >-
    [YouTube video](https://www.youtube.com/watch?v=GPFR511_Cpc)
Duration: 3:56
Referenced Tracks:
- Dance of Thorns
URLs:
- https://youtu.be/GPFR511_Cpc
- https://open.spotify.com/track/1RF5z4ORFxs4SMpo65RDSo
- https://music.apple.com/album/dance-of-thorns/1742081460?i=1742081463
- https://music.amazon.com/tracks/B07RMBNSMV
Commentary: |-
    <i>RichaadEB:</i> ([YouTube description](https://youtu.be/GPFR511_Cpc), excerpt)

    ROCK SOLBO
